Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_PixelData_Palette

PixelData Palette Class
Contained in: global
Derived from: none
Derived by: none
Group: Display (Display 2D)

#include <ClanLib/display.h>

### public function member index:

### Construction:

`` | `CL_PixelData_Palette` | `(`CL_Palette`* , `CL_SurfaceProvider`*)`;
``virtual`` | `~CL_PixelData_Palette` | `()`;

### Attributes:

``unsigned` `int`` | `get_width` | `()`;
``unsigned` `int`` | `get_height` | `()`;
``bool`` | `has_colorkey` | `()`;
``unsigned` `int`` | `get_colorkey` | `()`;
``unsigned` `char`*` | `get_line_pixel` | `(`int`)`;

## Description:

Class not implemented yet

## Function Member Descriptions:

CL_PixelData_Palette::CL_PixelData_Palette - PixelData Palette Constructor (not implemented yet)
`` `CL_PixelData_Palette` `(`CL_Palette`* , `CL_SurfaceProvider`*)`;

CL_PixelData_Palette::get_colorkey - Get colour key
``unsigned` `int`` `get_colorkey` `()`;

CL_PixelData_Palette::get_height - Get Height
``unsigned` `int`` `get_height` `()`;

CL_PixelData_Palette::get_line_pixel - Get line pixel
``unsigned` `char`*` `get_line_pixel` `(`int`)`;

CL_PixelData_Palette::get_width - Get Width
``unsigned` `int`` `get_width` `()`;

CL_PixelData_Palette::has_colorkey - Has colour key
``bool`` `has_colorkey` `()`;

CL_PixelData_Palette::~CL_PixelData_Palette - PixelData Palette Destructor
``virtual`` `~CL_PixelData_Palette` `()`;